Subject: bug#53645: Unable to guix pull on pinebook pro

From: "D. Birch" <[email-masked]>
Date: Thu, 3 Feb 2022 16:27:56 +0000

On Thu, 3 Feb 2022 at 15:56, Maxime Devos <[email-masked]> wrote:

> This test is failing:
>
> misc: swaplabel                                     ... FAILED
> (misc/swaplabel)
>
> This looks like <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=996764
> >.
> Debian even has a patch!
>
> Or the cause could be different ...
>
> Greetings,
> Maxime.
>

I re-ran with -K (e.g. guix pull -v3 --commit 2641621 -K 2>&1 | tee
guix-pull-bug-verbose-02) to keep build files, and a quick cat
/tmp/guix-build-util-linux-2.37.2.drv-0/util-linux-2.37.2/tests/output/misc/swaplabel.err
appears to confirm the bug

mkswap: error: swap area needs to be at least 10 pages
mkswap: <swapfile>: insecure permissions <perm>, fix with: chmod 0600
<swapfile>

mkswap: <swapfile> contains holes or other unsupported extents.
        This swap file can be rejected by kernel on swap activation!
        Use --verbose for more details.

mkswap: Label was truncated.

I'm still green to know how to fix this, but I presume if I check out the
latest version via git and the docs online, I should be able to update the
definition for util-linux to include the patch, then try again?